<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">        
    <section class="content-header">
        <h1>
            Artikel
            <small>Edit Artikel</small>
        </h1>            
    </section>

    <section class="content">
        <a href="<?php echo base_url('dashboard/artikel'); ?>" class="btn btn-sm btn-primary">Kembali</a>
        <br/><br/>

        <!-- Pengecekan apakah artikel ada dan hak akses -->
        <?php if($artikel): ?>
            <!-- Validasi hak akses berdasarkan satker_id -->
            <?php if($this->session->userdata('level') == 'penulis' && $this->session->userdata('satker_id') != $artikel->satker_id): ?>
                <div class="alert alert-danger">Anda tidak memiliki hak akses untuk mengedit artikel ini.</div>
                <a href="<?php echo base_url('dashboard/artikel'); ?>" class="btn btn-sm btn-primary">Kembali</a>
            <?php else: ?>
                <!-- Formulir Edit Artikel -->
                <form method="post" action="<?php echo base_url('dashboard/artikel_update'); ?>" enctype="multipart/form-data" novalidate>
                    <!-- CSRF Protection -->
                    <input type="hidden" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>" />
                    <input type="hidden" name="id" value="<?php echo $artikel->artikel_id; ?>">

                    <div class="row">
                        <div class="col-md-8">                            
                            <div class="box box-primary">                                
                                <div class="box-body">                                   
                                    <div class="form-group">
                                        <label>Judul</label>
                                        <input type="text" name="judul" id="judul" class="form-control" placeholder="Masukkan judul artikel .." required value="<?php echo set_value('judul', $artikel->artikel_judul); ?>">
                                        <?php echo form_error('judul', '<div class="text-danger">', '</div>'); ?>
                                    </div>

                                    <div class="form-group">
                                        <label>Konten</label>
                                        <textarea id="editor1" name="konten" rows="10" cols="80" required><?php echo set_value('konten', $artikel->artikel_konten); ?></textarea>
                                        <?php echo form_error('konten', '<div class="text-danger">', '</div>'); ?>
                                    </div>
                                </div>                                                         
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="box box-primary">
                                <div class="box-body">
                                    <div class="form-group">
                                        <label>Kategori</label>
                                        <select class="form-control" name="kategori" required>
                                            <option value="">- Pilih Kategori -</option>
                                            <?php foreach($kategori as $k): ?>
                                                <option value="<?php echo $k->kategori_id; ?>" <?php echo set_select('kategori', $k->kategori_id, ($artikel->artikel_kategori == $k->kategori_id)); ?>>
                                                    <?php echo $k->kategori_nama; ?>
                                                </option>
                                            <?php endforeach; ?>
                                        </select>
                                        <?php echo form_error('kategori', '<div class="text-danger">', '</div>'); ?>
                                    </div>

                                    <div class="form-group">
                                        <label>Gambar Sampul</label>
                                        <input type="file" name="sampul">
                                        <p class="help-block">Silakan upload Gambar...!</p>
                                        <?php if(isset($gambar_error)): ?>
                                            <div class="text-danger"><?php echo $gambar_error; ?></div>
                                        <?php endif; ?>
                                        <?php echo form_error('sampul', '<div class="text-danger">', '</div>'); ?>
                                    </div>

                                    <input type="submit" name="status" value="Draft" class="btn btn-warning btn-block">
                                    <input type="submit" name="status" value="Publish" class="btn btn-success btn-block">
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            <?php endif; ?>
        <?php else: ?>
            <p>Artikel tidak ditemukan.</p>
        <?php endif; ?>
    </section>
</div>
